<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">

<mapper namespace="com.tofly.feesapi.bmgl.mapper.BmSbsccjMapper">
    <select id="selectMaxId" resultType="decimal">
        SELECT NVL(MAX(to_number(CODE)), 0)
        FROM bm_sbsccj
    </select>
    <select id="selectName" resultType="com.tofly.feesapi.bmgl.entity.BmSbsccj">
        SELECT name
        FROM bm_sbsccj where code=#{code}
    </select>
    <select id="selectListMap" resultType="java.util.Map">
        select * from bm_sbsccj where 1=1
    </select>
    <resultMap id="bmSbsccjMap" type="com.tofly.feesapi.bmgl.entity.BmSbsccj">
        <id property="code" column="CODE"/>
        <result property="czryxm" column="CZRYXM"/>
        <result property="name" column="NAME"/>
        <result property="cjdz" column="CJDZ"/>
        <result property="cjbz" column="CJBZ"/>
        <result property="czsj" column="CZSJ"/>
        <result property="isdisabled" column="ISDISABLED"/>
        <result property="czry" column="CZRY"/>
    </resultMap>
</mapper>
